hc-httpclient-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Roland Weber <http-as...@dubioso.net>
Subject Re: help on different httpclient versions
Date Thu, 08 Jun 2006 18:27:14 GMT
Hello Sheetal,

I can answer one of these questions:

>   If we replace 2.0 version with 3.0 in JBoss, is it compatible?

No, it is not. That's why the major version number was changed.

If you have to use HttpClient 3.0 while 2.0 is in the classpath,
your best chance is to package 3.0 with your application and use a
classloader with "parent last" strategy for loading classes.

In your place, I would first test whether 2.0 serves your need.
If it does, stick with it until you get a JBoss version that has
3.0 integrated. Otherwise, you'll soon learn lots more about
Java classloading than you ever wanted to know.

hope that helps,
  Roland

---------------------------------------------------------------------
To unsubscribe, e-mail: httpclient-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: httpclient-user-help@jakarta.apache.org


Mime
View raw message